Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface WebServerMBean

All Known Subinterfaces:
  VirtualHostMBean

public interface WebServerMBean
extends DeploymentMBean

This bean represents the configuration of virtual web server within a weblogic server. Note that a server may define multiple web servers to support virtual hosts.

This MBean represents a virtual host.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Method Summary
`java.util.Map` | `getCharsets()`
`WebAppComponentMBean` | `getDefaultWebApp()`
`int` | `getHttpsKeepAliveSecs()` Number of seconds to maintain HTTPS keep-alive before timing out the request.
`int` | `getKeepAliveSecs()` Number of seconds to maintain HTTP keep-alive before timing out the request.
`int` | `getLogFileBufferKBytes()`
`int` | `getLogFileFlushSecs()` Frequency (seconds) with which the log file should be flushed
`java.lang.String` | `getLogFileFormat()` Defines the format of HTTP log file (common or extended)
`java.lang.String` | `getLogFileName()` Sets the HTTP request log file
`int` | `getLogRotationPeriodMins()` Defines the period in minutes when the access.log will be rotated.
`java.lang.String` | `getLogRotationTimeBegin()` Defines the date when the first rotation of access.log will begin.
`java.lang.String` | `getLogRotationType()` Defines how the HTTP log file is rotated [size|date].
`int` | `getMaxLogFileSizeKBytes()` Set maximum access logfile size in K before rotation.
`int` | `getMaxPostSize()`
`int` | `getMaxPostTimeSecs()`
`int` | `getPostTimeoutSecs()`
`java.util.Map` | `getURLResource()`
`int` | `getWriteChunkBytes()`
`boolean` | `isClusteringEnabled()`
`boolean` | `isDebugEnabled()`
`boolean` | `isEventsEnabled()`
`boolean` | `isKeepAliveEnabled()`
`boolean` | `isLoggingEnabled()`
`boolean` | `isWAPEnabled()`
`void` | `setCharsets(java.util.Map charsets)` FIXME mark@weblogic.com 30-Jun-00 -- Should this be in WebAppComponentMBean? User defined mapping between internet and Java charset names
`void` | `setClusteringEnabled(boolean enable)` Enables HTTP clustering
`void` | `setDefaultWebApp(WebAppComponentMBean context)` Servlet 2.2 Web Application that maps to the "default" servlet context (where ContextPath = "/")
`void` | `setHttpsKeepAliveSecs(int secs)`
`void` | `setKeepAliveEnabled(boolean enabled)` Returns whether or not HTTP keep-alive is enabled
`void` | `setKeepAliveSecs(int secs)`
`void` | `setLogFileBufferKBytes(int kbytes)` Sets HTTP request log buffer size
`void` | `setLogFileFlushSecs(int secs)`
`void` | `setLogFileFormat(java.lang.String format)` Set the format of the HTTP log file, i.e.
`void` | `setLogFileName(java.lang.String fileName)`
`void` | `setLoggingEnabled(boolean enable)` Enables logging of HTTP requests.
`void` | `setLogRotationPeriodMins(int mins)`
`void` | `setLogRotationTimeBegin(java.lang.String when)`
`void` | `setLogRotationType(java.lang.String type)`
`void` | `setMaxLogFileSizeKBytes(int kbytes)`
`void` | `setMaxPostSize(int bytes)` Max Post Size (in bytes) for reading HTTP POST data in a servlet request.
`void` | `setMaxPostTimeSecs(int secs)` Max Post Time (in seconds) for reading HTTP POST data in a servlet request.
`void` | `setPostTimeoutSecs(int secs)` Timeout (in seconds) for reading HTTP POST data in a servlet request.
`void` | `setURLResource(java.util.Map resource)` FIXME mark@weblogic.com 30-Jun-00 -- Should this be in WebAppComponentMBean? Adds a URL connection factory resource into JNDI
`void` | `setWAPEnabled(boolean enable)` Enables WAP

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### setLoggingEnabled

    public void setLoggingEnabled(boolean enable)

  Enables logging of HTTP requests.

  A configurable MBean attribute
  Default Value: true
  Old Property: weblogic.httpd.enableLogFile

### isLoggingEnabled

    public boolean isLoggingEnabled()

### getLogFileFormat

    public java.lang.String getLogFileFormat()

  Defines the format of HTTP log file (common or extended)

  A configurable MBean attribute
  Default Value: "common"
  Old Property: weblogic.httpd.logFileFormat
  Legal Values: "common","extended"

### setLogFileFormat

    public void setLogFileFormat(java.lang.String format)
                          throws javax.management.InvalidAttributeValueException,
                                 DistributedManagementException

  Set the format of the HTTP log file, i.e. common or extended.

  A dynamic MBean attribute

### getLogFileName

    public java.lang.String getLogFileName()

  Sets the HTTP request log file

  A configurable MBean attribute
  Default Value: "access.log"
  Old Property: weblogic.httpd.logFileName

### setLogFileName

    public void setLogFileName(java.lang.String fileName)
                        throws javax.management.InvalidAttributeValueException

### setLogFileBufferKBytes

    public void setLogFileBufferKBytes(int kbytes)
                                throws javax.management.InvalidAttributeValueException

  Sets HTTP request log buffer size

  A configurable MBean attribute
  Default Value: 8
  Old Property: weblogic.httpd.logFileBufferKBytes

### getLogFileBufferKBytes

    public int getLogFileBufferKBytes()

### getMaxLogFileSizeKBytes

    public int getMaxLogFileSizeKBytes()

  Set maximum access logfile size in K before rotation. 0 means no limit.

  A configurable MBean attribute
  Default Value: 0
  Old Property: weblogic.httpd.maxLogFileSizeKBytes

### setMaxLogFileSizeKBytes

    public void setMaxLogFileSizeKBytes(int kbytes)
                                 throws javax.management.InvalidAttributeValueException

### getLogRotationType

    public java.lang.String getLogRotationType()

  Defines how the HTTP log file is rotated [size|date].

  A configurable MBean attribute
  Default Value: "size"
  Old Property: weblogic.httpd.logRotationType
  Legal Values: "size","date"

### setLogRotationType

    public void setLogRotationType(java.lang.String type)
                            throws javax.management.InvalidAttributeValueException

### getLogRotationPeriodMins

    public int getLogRotationPeriodMins()

  Defines the period in minutes when the access.log will be rotated.

  A configurable MBean attribute
  Default Value: 1440
  Old Property: weblogic.httpd.logRotationPeriodMins

### setLogRotationPeriodMins

    public void setLogRotationPeriodMins(int mins)
                                  throws javax.management.InvalidAttributeValueException

### getLogFileFlushSecs

    public int getLogFileFlushSecs()

  Frequency (seconds) with which the log file should be flushed

  A configurable MBean attribute
  Default Value: 60
  Old Property: weblogic.httpd.logFileFlushSecs

### setLogFileFlushSecs

    public void setLogFileFlushSecs(int secs)
                             throws javax.management.InvalidAttributeValueException

### getLogRotationTimeBegin

    public java.lang.String getLogRotationTimeBegin()

  Defines the date when the first rotation of access.log will begin. The format follows java.text.SimpleDateFormat, MM-dd-yyyy-k:mm:ss See the javadocs for more details. For example: 11-24-2000-12:30:00 Note: If not set next rotation is the next log period. If the date has already past, then the DAY_OF_WEEK, HOUR_OF_DAY, MINUTE and SECOND are used with the current date to recalculate. Only valid with date based rotation. See: setLogRotationType().

  A configurable MBean attribute
  Old Property: weblogic.httpd.logRotationPeriodMins

### setLogRotationTimeBegin

    public void setLogRotationTimeBegin(java.lang.String when)
                                 throws javax.management.InvalidAttributeValueException

### setKeepAliveEnabled

    public void setKeepAliveEnabled(boolean enabled)

  Returns whether or not HTTP keep-alive is enabled

  Default Value: true
  Old Property: weblogic.httpd.keepAlive.enable

### isKeepAliveEnabled

    public boolean isKeepAliveEnabled()

### getKeepAliveSecs

    public int getKeepAliveSecs()

  Number of seconds to maintain HTTP keep-alive before timing out the request.

  Default Value: 30
  Old Property: weblogic.httpd.http.keepAliveSecs

### setKeepAliveSecs

    public void setKeepAliveSecs(int secs)
                          throws javax.management.InvalidAttributeValueException

### getHttpsKeepAliveSecs

    public int getHttpsKeepAliveSecs()

  Number of seconds to maintain HTTPS keep-alive before timing out the request.

  Default Value: 60
  Old Property: weblogic.httpd.https.keepAliveSecs

### setHttpsKeepAliveSecs

    public void setHttpsKeepAliveSecs(int secs)
                               throws javax.management.InvalidAttributeValueException

### setPostTimeoutSecs

    public void setPostTimeoutSecs(int secs)
                            throws javax.management.InvalidAttributeValueException

  Timeout (in seconds) for reading HTTP POST data in a servlet request.

  Old Property: weblogic.httpd.postTimeoutSecs FIXME br@weblogic.com 22-May-00 -- put a valid default.

### getPostTimeoutSecs

    public int getPostTimeoutSecs()

### setMaxPostTimeSecs

    public void setMaxPostTimeSecs(int secs)
                            throws javax.management.InvalidAttributeValueException

  Max Post Time (in seconds) for reading HTTP POST data in a servlet request.

  Default Value: -1 MaxPostTime < 0 means unlimited

### getMaxPostTimeSecs

    public int getMaxPostTimeSecs()

### setMaxPostSize

    public void setMaxPostSize(int bytes)
                        throws javax.management.InvalidAttributeValueException

  Max Post Size (in bytes) for reading HTTP POST data in a servlet request.

  Default Value: -1 MaxPostSize < 0 means unlimited

### getMaxPostSize

    public int getMaxPostSize()

### setDefaultWebApp

    public void setDefaultWebApp(WebAppComponentMBean context)

  Servlet 2.2 Web Application that maps to the "default" servlet context (where ContextPath = "/")

  Default Value: null
  Old Property: weblogic.httpd.defaultWebApp

### getDefaultWebApp

    public WebAppComponentMBean getDefaultWebApp()

### setCharsets

    public void setCharsets(java.util.Map charsets)
                     throws javax.management.InvalidAttributeValueException

  FIXME mark@weblogic.com 30-Jun-00 -- Should this be in WebAppComponentMBean? User defined mapping between internet and Java charset names

  Default Value: null
  Old Property: weblogic.httpd.charsets

### getCharsets

    public java.util.Map getCharsets()

### setURLResource

    public void setURLResource(java.util.Map resource)
                        throws javax.management.InvalidAttributeValueException

  FIXME mark@weblogic.com 30-Jun-00 -- Should this be in WebAppComponentMBean? Adds a URL connection factory resource into JNDI

  Default Value: null
  Old Property: weblogic.httpd.URLResource

### getURLResource

    public java.util.Map getURLResource()

### getWriteChunkBytes

    public int getWriteChunkBytes()

### isDebugEnabled

    public boolean isDebugEnabled()

### isEventsEnabled

    public boolean isEventsEnabled()

### setClusteringEnabled

    public void setClusteringEnabled(boolean enable)

  Enables HTTP clustering

  Default Value: false
  Old Property: weblogic.httpd.clustering.enable

### isClusteringEnabled

    public boolean isClusteringEnabled()

### setWAPEnabled

    public void setWAPEnabled(boolean enable)

  Enables WAP

  Default Value: false

### isWAPEnabled

    public boolean isWAPEnabled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD